# PetscRandomDestroy

Destroys a context that has been formed by PetscRandomCreate().

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PETSC_DLLEXPORT PetscRandomDestroy(PetscRandom r)

Collective on PetscRandom

### Intput Parameter

r -the random number generator context

### See Also

PetscRandomGetValue(), PetscRandomCreate(), VecSetRandom()

Level:intermediate
Location: src/sys/random/interface/random.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex4.c.html
src/ksp/ksp/examples/tutorials/ex11.c.html
src/ksp/ksp/examples/tutorials/ex2f.F.html
src/ksp/ksp/examples/tutorials/ex11f.F.html